
NETGEAR GS716T-200EUS network switch Managed
Model GS716T-200EUSEAN 100000002704
56 specifications
- Speed1 Gbit/s
- ConnectivityWired
- Noise33 dB
- Weight2.56 kg
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity16
Overview
- Speed
- 1 Gbit/s
- Connectivity
- Wired
- Noise
- 33 dB
- Weight
- 2.56 kg
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 16
- Brand
- NETGEAR
- Category
- Network Switch
- Model
- GS716T-200EUS
- Part number
- GS716T-200EUS
- EAN / UPC
- 100000002704, 606449039184, 606449064933, 6064490649334
- Also known as
- NETGEAR GS716T-200EUS network switch Managed
Specifications
56 specifications in 13 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| MIB support | RFC 1213, RFC 1643, RFC1493 |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 16 |
| Gigabit Ethernet (copper) ports quantity | 16 |
| SFP module slots quantity | 2 |
| SFP/SFP+ slots quantity | 2 |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.1D, IEEE 802.1p, IEEE 802.1Q, IEEE 802.1S, IEEE 802.1W, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3u, IEEE 802.3x |
| Copper ethernet cabling technology | 1000BASE-T, 100BASE-TX, 10BASE-T |
| Port mirroring | Yes |
| Full duplex | Yes |
| IP routing | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| Number of VLANs | 128 |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 8000 entries |
| Supported data transfer rates | 10/100/1000 Mbps |
| Store-and-forward | Yes |
| Maximum data transfer rate | 1 Gbit/s |
| Jumbo frames support | Yes |
| Packet buffer memory | 512 MB |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP client |
| IGMP snooping | Yes |
Protocols
| Specification | Value |
|---|---|
| Management protocols | SNMPv1, v2c, v3, IGMP, DHCP |
| Data link protocols | Ethernet, Fast Ethernet, Gigabit Ethernet |
| Supported network protocols | SNTP, HTTP & HTTPS |
Design
| Specification | Value |
|---|---|
| Rack mounting | Yes |
| Stackable | No |
| Safety | UL, IEC 950/EN 60950, CE, CUL 60950, CB, CCC |
Performance
| Specification | Value |
|---|---|
| Compatible operating systems | Windows |
| Firmware upgradeable | Yes |
| Noise level | 33 dB |
Power
| Specification | Value |
|---|---|
| Input voltage | 100 - 240 V |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | No |
Other features
| Specification | Value |
|---|---|
| Latency | 4.5 us |
| Dimensions (WxDxH) | 440 x 260 x 43 mm |
| Connectivity technology | Wired |
| Bandwidth | 32 Gbit/s |
| Input frequency | 50/60 Hz |
| Networking features | Ethernet, Fast Ethernet, Gigabit Ethernet |
| Power supply | 16.5 W |
| Connectivity LEDs | Yes |
| Dimensions (W x D x H) (imperial) | 439.4 x 259.1 x 43.2 mm (17.3 x 10.2 x 1.7") |
| Electromagnetic emissions | CE, FCC Part 15 Class A, VCCI Class A, EN 55022, EN 55024, C-Tick |
| Weight (imperial) | 2.56 kg (5.64 lbs) |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 55 °C |
| Storage temperature (T-T) | -20 - 70 °C |
| Operating relative humidity (H-H) | 0 - 90% |
| Storage relative humidity (H-H) | 0 - 95% |
| Operating altitude | 0 - 3000 m |
| Operating temperature (T-T) | 32 - 131 °F |
Weight & dimensions
| Specification | Value |
|---|---|
| Weight | 2.56 kg |
What people say
Reviews & ratings
NETGEAR GS716T-200EUS network switch Managed
No reviews yet
Be the first to tell others how NETGEAR GS716T-200EUS network switch Managed works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare NETGEAR GS716T-200EUS network switch Managed
All network switch comparisons- NETGEAR GS716T-200EUS network switch Managed vsNETGEAR FS116GE Unmanaged BlueCompare specs
- NETGEAR GS716T-200EUS network switch Managed vsNETGEAR FSM726-300EUS network switch Managed L2 Power over Ethernet (PoE) BlueCompare specs
- NETGEAR GS716T-200EUS network switch Managed vsNETGEAR ProSafe Plus 5 Port Gigabit Ethernet SwitchCompare specs
- NETGEAR GS716T-200EUS network switch Managed vsNETGEAR GS724T-300EUS network switch Managed BlueCompare specs
- NETGEAR GS716T-200EUS network switch Managed vsAllied Telesis AT-FS750/16-50 ManagedCompare specs
- NETGEAR GS716T-200EUS network switch Managed vsAllied Telesis AT-x600-24Ts Unmanaged GreyCompare specs
- NETGEAR GS716T-200EUS network switch Managed vsAllied Telesis 990-001234-50 network switch Managed L2+ 1UCompare specs
- NETGEAR GS716T-200EUS network switch Managed vsAllied Telesis AT-X600-48TS/XP-60 Managed L3Compare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















